Loading...
Searching...
No Matches
CLI::detail::element_type< T, Enable > Struct Template Reference

not a pointer More...

`#include <TypeTools.hpp>`

## Public Types

using | type = T

## Detailed Description

template<typename T, typename Enable = void>
struct CLI::detail::element_type< T, Enable >

not a pointer

Handy helper to access the element_type generically. This is not part of is_copyable_ptr because it requires that pointer_traits<T> be valid.

## Member Typedef Documentation

## type

template<typename T, typename Enable = void>

using CLI::detail::element_type< T, Enable >::type = T

The documentation for this struct was generated from the following file:

- include/CLI/TypeTools.hpp